Summary: A Pascal to C translator.
Name: p2c
Version: 1.22
Release: 10
Copyright: distributable
Group: Development/Languages
Source: ftp://csvax.cs.caltech.edu/pub/p2c-1.22.tar.gz
Patch2: p2c-newpatch.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Obsoletes: basic p2c-devel

%description
P2c is a system for translating Pascal programs into the C language.
P2c accepts input source files in certain Pascal dialects: HP Pascal,
Turbo/UCSD Pascal, DEC VAX Pascal, Oregon Software Pascal/2, Macintosh
Programmer's Workshop Pascal and Sun/Berkeley Pascal.  P2c outputs a
set of .c and .h files which make up a C program equivalent to the
original Pascal program.  The C program can then be compiled using a
standard C compiler, such as gcc.

%prep
%setup  -q
%patch2 -p1 -b .new
mkdir src/shlib
mkdir include
ln -s ../src include/p2c

%build
cp src/sys.p2crc src/p2crc
make RPM_OPTS="$RPM_OPT_FLAGS"
make RPM_OPTS="$RPM_OPT_FLAGS" shlib -C src

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir} \
	$RPM_BUILD_ROOT%{_mandir}/man1 \
	$RPM_BUILD_ROOT%{_includedir} \
	$RPM_BUILD_ROOT%{_libdir}

make install RPM_INSTALL=$RPM_BUILD_ROOT MANDIR=$RPM_BUILD_ROOT%{_mandir}/man1

pushd $RPM_BUILD_ROOT/usr/lib
ln -s libp2c.so.1.2.0 libp2c.so
ln -s libp2c.so.1.2.0 libp2c.so.1
popd
 
%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc examples/* README src/COPYING ftp.README
%{_bindir}/p2c
%{_libdir}/libp2c.so*
%{_libdir}/p2c
%{_mandir}/*/*
%{_libdir}/*.a
%{_includedir}/p2c


%changelog
* Fri Jun 22 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Obsolete the obsolete subpackage

* Thu Jun 21 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Kill the 30k devel subpackage. This is a development tool,
  having a devel subpackage doesn't make much sense.
  This should fix #45393

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sun Jun 25 2000 Matt Wilson <msw@redhat.com>
- move defattr above docs in file list

* Mon Jun 19 2000 Than Ngo <than@redhat.de>
- FHS fixes
 
* Sun Mar 26 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- run ldconfig directly

* Mon Feb  7 2000 Bill Nottingham <notting@redhat.com>
- handle compressed manpages

* Mon Apr 12 1999 Preston Brown <pbrown@redhat.com>
- fixed group.

* Sun Mar 21 1999 Michael Maher <mike@redhat.com>
- Merged patched tar ball on gribble with original 
  installation.  Was missing important parts of 
  make files.  
- Fixed many errors in Makefiles. 
- moved 'basic' stuff into doc

* Fri Dec 18 1998 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1
- buildroot
- binary files and man page should really be in the main package, 
  not -devel

* Tue May 05 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc

